Loading...
Searching...
No Matches
etl::tree_link< ID_ > Struct Template Reference

A binary tree link. More...

`#include <intrusive_links.h>`

## Public Types

enum | { ID = ID_ }

## Public Member Functions

| tree_link (tree_link *p_parent, tree_link *p_left, tree_link *p_right)
| tree_link (const tree_link &other)
tree_link & | operator= (const tree_link &other)
void | clear ()
bool | is_linked () const
ETL_NODISCARD bool | has_parent () const
ETL_NODISCARD bool | has_left () const
ETL_NODISCARD bool | has_right () const
void | set_parent (tree_link *p)
void | set_left (tree_link *l)
void | set_right (tree_link *r)
void | set_parent (tree_link &p)
void | set_left (tree_link &l)
void | set_right (tree_link &r)
ETL_NODISCARD tree_link * | get_parent () const
ETL_NODISCARD tree_link * | get_left () const
ETL_NODISCARD tree_link * | get_right () const
void | mirror ()

## Public Attributes

tree_link * | etl_parent
tree_link * | etl_left
tree_link * | etl_right

## Detailed Description

template<size_t ID_>
struct etl::tree_link< ID_ >

A binary tree link.

The documentation for this struct was generated from the following file:

- include/etl/intrusive_links.h